/* $Id: ImageCache.h,v 1.3 1997/01/11 14:29:17 pgw Exp $ */
/*
 Copyright (C) 1996 Peter Williams
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public License 
 version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public
 License along with this library; see the file COPYING.  If not,
 write to the Free Software Foundation, Inc., 675 Mass Ave, 
 Cambridge, MA 02139, USA.
*/

#if !defined(_XARM_IMAGECACHE_H_)
#define _XARM_IMAGECACHE_H_
#include <Xarm/adt.h>

class ImageCache
{
   private:
      ArmBinaryTree *_image_cache;

   public:
      ImageCache();
      ~ImageCache();
      void add(char *key, Pixmap pmap);
      Pixmap find(char *key);
};

extern void XarmRegisterConverters();
extern Pixmap XarmGetPixmap(Widget w, char *fname);
extern Pixmap XarmGetPixmapFromData(Widget w, char **pdata);

extern ImageCache _global_image_cache;

#endif

