/* $Id: Page.h,v 1.1 1996/12/04 02:43:02 pgw Exp $ */
/*
 Copyright (C) 1993, 1994 Jettero Heller
 Copyright (C) 1994-1996 Peter Williams
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public License 
 version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public
 License along with this library; see the file COPYING.  If not,
 write to the Free Software Foundation, Inc., 675 Mass Ave, 
 Cambridge, MA 02139, USA.
*/


#if !defined(_XM_PROPERTY_PAGE_H_)
#define _XM_PROPERTY_PAGE_H_

#include <Xm/BulletinB.h>

#if defined(__cplusplus)
extern "C" {
#endif

/* ======================================================================== */
/* PropertyPage Widget defines new callback resources */

extern WidgetClass xmPropertyPageWidgetClass;
typedef struct _XmPropertyPageRec *XmPropertyPageWidget;
typedef struct _XmPropertyPageClassRec *XmPropertyPageWidgetClass;

#define XmIsPropertyPage(w) XtIsSubclass((w), xmPropertyPageWidgetClass)

Widget XmCreatePropertyPage(Widget parent,  
                             char *name, 
                             Arg *arglist, 
                             Cardinal argcount);

/* new resource class definitions */
#define XmNsetActiveCallback "setActiveCallback"
#define XmNkillActiveCallback "killActiveCallback"

#if 0
/* PropertyPage Resource Set */
Name                  Class                 Type             Default      Access
--------------------------------------------------------------------------------
XmNsetActiveCallback  XmCCallback           XtCallbackList   NULL         C
XmNkillActiveCallback XmCCallback           XtCallbackList   NULL         C
XmNapplyCallback      XmCCallback           XtCallbackList   NULL         C
XmNcancelCallback     XmCCallback           XtCallbackList   NULL         C
XmNokCallback         XmCCallback           XtCallbackList   NULL         C

/* Overridden Inherited Resources */
Name                  Class                 Type             Default      Access
--------------------------------------------------------------------------------
XmNshadowType         XmCShadowType         unsigned char    XmSHADOW_OUT CSG
XmNshadowThickness    XmCShadowThickness    Dimension        2            CSG

#endif

#if defined(__cplusplus)
}
#endif

#endif

