/* $Id: RootW.h,v 1.1 1996/10/26 13:03:47 pgw Exp $ */
/*
 Copyright (C) 1996 Peter Williams
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public License 
 version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public
 License along with this library; see the file COPYING.  If not,
 write to the Free Software Foundation, Inc., 675 Mass Ave, 
 Cambridge, MA 02139, USA.
*/

#if !defined(_XM_ROOTW_H_)
#define _XM_ROOTW_H_

#include <Xm/Xm.h>

#if defined(__cplusplus)
extern "C" {
#endif

/* ======================================================================== */
/* RootWindow Widget has no new resources */

extern WidgetClass xmRootWindowWidgetClass;
typedef struct _XmRootWindowRec *XmRootWindowWidget;
typedef struct _XmRootWindowClassRec *XmRootWindowWidgetClass;

#define XmIsRootWindow(w) XtIsSubclass((w), xmRootWindowWidgetClass)

Widget XmCreateRootWindow(Widget parent,
                          char *name,
                          Arg *arglist,
                          Cardinal argcount);

#if defined(__cplusplus)
}
#endif

#endif
